package com.jasamedika.medifirst2000.vo;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

import com.jasamedika.medifirst2000.base.BaseTransaction;
import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;
import com.jasamedika.medifirst2000.entities.AntrianPasienDiPeriksa;
import com.jasamedika.medifirst2000.helper.Caption;

public class KebutuhanDasarVO extends BaseTransactionVO{
	
	@ManyToOne
	@NotNull(message = "antrianPasienDiPeriksa tidak boleh kosong")
	private AntrianPasienDiPeriksaVO antrianPasienDiPeriksa;	
	
	@ManyToOne
	@NotNull(message="Oksigenasi Harus Diisi")
	@Caption(value="polaNafas")
	private OksigenasiPolaNafasVO polaNafas;
	
	@ManyToOne
	@NotNull(message="Oksigenasi Harus Diisi")
	@Caption(value="batuk")
	private OksigenasiBatukVO batuk;

	@ManyToOne
	@NotNull(message="Oksigenasi Harus Diisi")
	@Caption(value="sianosis")
	private OksigenasiSianosisVO sianosis;

	@ManyToOne
	@NotNull(message="Kebutuhan Cairan Harus Diisi")
	@Caption(value="nadi")
	private CairanNadiVO nadi;

	@ManyToOne
	@NotNull(message="Kebutuhan Cairan Harus Diisi")
	@Caption(value="ubunUbun")
	private CairanUbunUbunVO ubunUbun;

	@ManyToOne
	@NotNull(message="Kebutuhan Cairan Harus Diisi")
	@Caption(value="turgorKulit")
	private CairanTurgorKulitVO turgorKulit;

	@ManyToOne
	@NotNull(message="Kebutuhan Cairan Harus Diisi")
	@Caption(value="crt")
	private CairanCrtVO crt;

	@ManyToOne
	@NotNull(message="Kebutuhan Cairan Harus Diisi")
	@Caption(value="edema")
	private CairanEdemaVO edema;

	@ManyToOne
	@NotNull(message="Kebutuhan Cairan Harus Diisi")
	@Caption(value="akral")
	private CairanAkralVO akral;

	@ManyToOne
	@NotNull(message="Neurologi Harus Diisi")
	@Caption(value="komponen")
	private NeurologiKomponenVO komponen;

	@ManyToOne
	@NotNull(message="Neurologi Harus Diisi")
	@Caption(value="kejang")
	private NeurologiKejangVO kejang;

	@ManyToOne
	@NotNull(message="Kebutuhan Nutrisi Harus Diisi")
	@Caption(value="mukosa")
	private NutrisiMukosaVO mukosa;

	@ManyToOne
	@NotNull(message="Kebutuhan Nutrisi Harus Diisi")
	@Caption(value="stomatitis")
	private NutrisiStomatitisVO stomatitis;

	@ManyToOne
	@NotNull(message="Kebutuhan Nutrisi Harus Diisi")
	@Caption(value="muntah")
	private NutrisiMuntahVO muntah;

	@ManyToOne
	@NotNull(message="Kebutuhan Nutrisi Harus Diisi")
	@Caption(value="mual")
	private NutrisiMualVO mual;

	@ManyToOne
	@NotNull(message="Eliminasi Defeaksi Harus Diisi")
	@Caption(value="anus")
	private DefeaksiAnusVO anus;

	@ManyToOne
	@NotNull(message="Eliminasi Defeaksi Harus Diisi")
	@Caption(value="bab")
	private DefeaksiBabVO bab;

	@ManyToOne
	@NotNull(message="Eliminasi Defeaksi Harus Diisi")
	@Caption(value="feses")
	private DefeaksiFesesVO feses;

	@ManyToOne
	@NotNull(message="Eliminasi Urin Harus Diisi")
	@Caption(value="bak")
	private UrinBakVO bak;

	@ManyToOne
	@NotNull(message="Eliminasi Urin Harus Diisi")
	@Caption(value="alatGenitalia")
	private UrinAlatGenitaliaVO alatGenitalia;

	@ManyToOne
	@NotNull(message="Integumen Harus Diisi")
	@Caption(value="warna")
	private IntegumenWarnaVO warna;

	@ManyToOne
	@NotNull(message="Integumen Harus Diisi")
	@Caption(value="kelainanKulit")
	private IntegumenKelainanKulitVO kelainanKulit;

	@ManyToOne
	@NotNull(message="Integumen Harus Diisi")
	@Caption(value="kulit")
	private IntegumenKulitVO kulit;

	@ManyToOne
	@NotNull(message="Aktifitas Anak Harus Diisi")
	@Caption(value="aktif")
	private AnakAktifVO aktif;

	@ManyToOne
	@NotNull(message="Aktifitas Anak Harus Diisi")
	@Caption(value="lelah")
	private AnakLelahVO lelah;

	@ManyToOne
	@NotNull(message="Persepsi Kognisi Harus Diisi")
	@Caption(value="penglihatan")
	private KognisiPenglihatanVO penglihatan;

	@ManyToOne
	@NotNull(message="Persepsi Kognisi Harus Diisi")
	@Caption(value="pendengaran")
	private KognisiPendengaranVO pendengaran;

	@ManyToOne
	@NotNull(message="Persepsi Kognisi Harus Diisi")
	@Caption(value="dayaIngat")
	private KognisiDayaIngatVO dayaIngat;

	@ManyToOne
	@NotNull(message="Tidur Istirahat Harus Diisi")
	@Caption(value="lamaTidur")
	private StatusLamaTidurVO lamaTidur;

	@ManyToOne
	@NotNull(message="Konsep Diri Harus Diisi")
	@Caption(value="gambaran")
	private KonsepDiriGambaranVO gambaran;

	@ManyToOne
	@NotNull(message="Peran Hubungan Harus Diisi")
	@Caption(value="masalah")
	private PeranMasalahVO masalah;

	@ManyToOne
	@NotNull(message="Peran Hubungan Harus Diisi")
	@Caption(value="pengaruhPenyakit")
	private PeranPengaruhPenyakitVO pengaruhPenyakit;

	@ManyToOne
	@NotNull(message="Koping Harus Diisi")
	@Caption(value="koping")
	private KopingEfektifVO koping;

	@ManyToOne
	@NotNull(message="Nilai Nilai Harus Diisi")
	@Caption(value="pertolongan")
	private NilaiPertolonganVO pertolongan;

	@ManyToOne
	@NotNull(message="Nilai Nilai Harus Diisi")
	@Caption(value="harapan")
	private NilaiHarapanVO harapan;

	@ManyToOne
	@NotNull(message="Persepsi Pasien Harus Diisi")
	@Caption(value="sehat")
	private PersepsiSehatVO sehat;

	@ManyToOne
	@NotNull(message="Persepsi Pasien Harus Diisi")
	@Caption(value="penyakit")
	private PersepsiPenyakitVO penyakit;

	@ManyToOne
	@NotNull(message="Persepsi Pasien Harus Diisi")
	@Caption(value="kegiatan")
	private PersepsiKegiatanVO kegiatan;

	@Caption(value = "isNormalOksigenasi")
	private Boolean isNormalOksigenasi;
	
	@Caption(value = "isNormalKebutuhanCairan")
	private Boolean isNormalKebutuhanCairan;
	
	@Caption(value = "isNormalNeurologi")
	private Boolean isNormalNeurologi;

	@Caption(value = "isNormalKebutuhanNutrisi")
	private Boolean isNormalKebutuhanNutrisi;

	@Caption(value = "isNormalDefeaksi")
	private Boolean isNormalDefeaksi;

	@Caption(value = "isNormalUrin")
	private Boolean isNormalUrin;

	@Caption(value = "isNormalIntegumen")
	private Boolean isNormalIntegumen;
	
	@Caption(value = "isNormalAktifitasAnak")
	private Boolean isNormalAktifitasAnak;

	@Caption(value = "isNormalPersepsiKognisi")
	private Boolean isNormalPersepsiKognisi;

	@Caption(value = "isNormalTidurIstirahat")
	private Boolean isNormalTidurIstirahat;

	@Caption(value = "isNormalKonsepDiri")
	private Boolean isNormalKonsepDiri;

	@Caption(value = "isNormalPeranHubungan")
	private Boolean isNormalPeranHubungan;

	@Caption(value = "isNormalKoping")
	private Boolean isNormalKoping;

	@Caption(value = "isNormalNilaiNilai")
	private Boolean isNormalNilaiNilai;

	@Caption(value = "isNormalPersepsiPasien")
	private Boolean isNormalPersepsiPasien;
	
	@Caption(value = "KeteranganPolaNafas")
	private String keteranganPolaNafas;
	
	@Caption(value = "KeteranganBatuk")
	private String keteranganBatuk;
	
	@Caption(value = "KeteranganSianosis")
	private String keteranganSianosis;
	
	@Caption(value = "KeteranganNadi")
	private String keteranganNadi;
	
	@Caption(value = "KeteranganUbun")
	private String keteranganUbun;
	
	@Caption(value = "KeteranganTurgorKulit")
	private String keteranganTurgorKulit;
	
	@Caption(value = "KeteranganCrt")
	private String keteranganCrt;
	
	@Caption(value = "KeteranganEdema")
	private String keteranganEdema;
	
	@Caption(value = "KeteranganAkral")
	private String keteranganAkral;
	
	@Caption(value = "KeteranganKomponen")
	private String keteranganKomponen;
	
	@Caption(value = "KeteranganKejang")
	private String keteranganKejang;
	
	@Caption(value = "KeteranganMukosa")
	private String keteranganMukosa;
	
	@Caption(value = "KeteranganStomatitis")
	private String keteranganStomatitis;
	
	@Caption(value = "KeteranganMuntah")
	private String keteranganMuntah;
	
	@Caption(value = "KeteranganMual")
	private String keteranganMual;
	
	@Caption(value = "KeteranganAnus")
	private String keteranganAnus;
	
	@Caption(value = "KeteranganBab")
	private String keteranganBab;
	
	@Caption(value = "KeteranganFeses")
	private String keteranganFeses;
	
	@Caption(value = "KeteranganBak")
	private String keteranganBak;
	
	@Caption(value = "KeteranganAlatGenitalia")
	private String keteranganAlatGenitalia;
	
	@Caption(value = "KeteranganWarna")
	private String keteranganWarna;
	
	@Caption(value = "KeteranganKelainanKulit")
	private String keteranganKelainanKulit;
	
	@Caption(value = "KeteranganKulit")
	private String keteranganKulit;
	
	@Caption(value = "KeteranganAktif")
	private String keteranganAktif;
	
	@Caption(value = "KeteranganLelah")
	private String keteranganLelah;
	
	@Caption(value = "KeteranganPenglihatan")
	private String keteranganPenglihatan;
	
	@Caption(value = "KeteranganPendengaran")
	private String keteranganPendengaran;
	
	@Caption(value = "KeteranganDayaIngat")
	private String keteranganDayaIngat;
	
	@Caption(value = "KeteranganGambaran")
	private String keteranganGambaran;
	
	@Caption(value = "KeteranganLamaTidur")
	private String keteranganLamaTidur;
	
	@Caption(value = "KeteranganMasalah")
	private String keteranganMasalah;
	
	@Caption(value = "KeteranganPengaruhPenyakit")
	private String keteranganPengaruhPenyakit;
	
	@Caption(value = "KeteranganKoping")
	private String keteranganKoping;
	
	@Caption(value = "KeteranganPertolongan")
	private String keteranganPertolongan;
	
	@Caption(value = "KeteranganHarapan")
	private String keteranganHarapan;
	
	@Caption(value = "KeteranganSehat")
	private String keteranganSehat;
	
	@Caption(value = "KeteranganPenyakit")
	private String keteranganPenyakit;
	
	@ManyToOne(fetch=FetchType.LAZY)
	@Caption(value = "pengkajianAwalBaru")
	private PengkajianAwalBaruVO pengkajianAwalBaru;

	public AntrianPasienDiPeriksaVO getAntrianPasienDiPeriksa() {
		return antrianPasienDiPeriksa;
	}

	public void setAntrianPasienDiPeriksa(AntrianPasienDiPeriksaVO antrianPasienDiPeriksa) {
		this.antrianPasienDiPeriksa = antrianPasienDiPeriksa;
	}

	public OksigenasiPolaNafasVO getPolaNafas() {
		return polaNafas;
	}

	public void setPolaNafas(OksigenasiPolaNafasVO polaNafas) {
		this.polaNafas = polaNafas;
	}

	public OksigenasiBatukVO getBatuk() {
		return batuk;
	}

	public void setBatuk(OksigenasiBatukVO batuk) {
		this.batuk = batuk;
	}

	public OksigenasiSianosisVO getSianosis() {
		return sianosis;
	}

	public void setSianosis(OksigenasiSianosisVO sianosis) {
		this.sianosis = sianosis;
	}

	public CairanNadiVO getNadi() {
		return nadi;
	}

	public void setNadi(CairanNadiVO nadi) {
		this.nadi = nadi;
	}

	public CairanUbunUbunVO getUbunUbun() {
		return ubunUbun;
	}

	public void setUbunUbun(CairanUbunUbunVO ubunUbun) {
		this.ubunUbun = ubunUbun;
	}

	public CairanTurgorKulitVO getTurgorKulit() {
		return turgorKulit;
	}

	public void setTurgorKulit(CairanTurgorKulitVO turgorKulit) {
		this.turgorKulit = turgorKulit;
	}

	public CairanCrtVO getCrt() {
		return crt;
	}

	public void setCrt(CairanCrtVO crt) {
		this.crt = crt;
	}

	public CairanEdemaVO getEdema() {
		return edema;
	}

	public void setEdema(CairanEdemaVO edema) {
		this.edema = edema;
	}

	public CairanAkralVO getAkral() {
		return akral;
	}

	public void setAkral(CairanAkralVO akral) {
		this.akral = akral;
	}

	public NeurologiKomponenVO getKomponen() {
		return komponen;
	}

	public void setKomponen(NeurologiKomponenVO komponen) {
		this.komponen = komponen;
	}

	public NeurologiKejangVO getKejang() {
		return kejang;
	}

	public void setKejang(NeurologiKejangVO kejang) {
		this.kejang = kejang;
	}

	public NutrisiMukosaVO getMukosa() {
		return mukosa;
	}

	public void setMukosa(NutrisiMukosaVO mukosa) {
		this.mukosa = mukosa;
	}

	public NutrisiStomatitisVO getStomatitis() {
		return stomatitis;
	}

	public void setStomatitis(NutrisiStomatitisVO stomatitis) {
		this.stomatitis = stomatitis;
	}

	public NutrisiMuntahVO getMuntah() {
		return muntah;
	}

	public void setMuntah(NutrisiMuntahVO muntah) {
		this.muntah = muntah;
	}

	public NutrisiMualVO getMual() {
		return mual;
	}

	public void setMual(NutrisiMualVO mual) {
		this.mual = mual;
	}

	public DefeaksiAnusVO getAnus() {
		return anus;
	}

	public void setAnus(DefeaksiAnusVO anus) {
		this.anus = anus;
	}

	public DefeaksiBabVO getBab() {
		return bab;
	}

	public void setBab(DefeaksiBabVO bab) {
		this.bab = bab;
	}

	public DefeaksiFesesVO getFeses() {
		return feses;
	}

	public void setFeses(DefeaksiFesesVO feses) {
		this.feses = feses;
	}

	public UrinBakVO getBak() {
		return bak;
	}

	public void setBak(UrinBakVO bak) {
		this.bak = bak;
	}

	public UrinAlatGenitaliaVO getAlatGenitalia() {
		return alatGenitalia;
	}

	public void setAlatGenitalia(UrinAlatGenitaliaVO alatGenitalia) {
		this.alatGenitalia = alatGenitalia;
	}

	public IntegumenWarnaVO getWarna() {
		return warna;
	}

	public void setWarna(IntegumenWarnaVO warna) {
		this.warna = warna;
	}

	public IntegumenKelainanKulitVO getKelainanKulit() {
		return kelainanKulit;
	}

	public void setKelainanKulit(IntegumenKelainanKulitVO kelainanKulit) {
		this.kelainanKulit = kelainanKulit;
	}

	public IntegumenKulitVO getKulit() {
		return kulit;
	}

	public void setKulit(IntegumenKulitVO kulit) {
		this.kulit = kulit;
	}

	public AnakAktifVO getAktif() {
		return aktif;
	}

	public void setAktif(AnakAktifVO aktif) {
		this.aktif = aktif;
	}

	public AnakLelahVO getLelah() {
		return lelah;
	}

	public void setLelah(AnakLelahVO lelah) {
		this.lelah = lelah;
	}

	public KognisiPenglihatanVO getPenglihatan() {
		return penglihatan;
	}

	public void setPenglihatan(KognisiPenglihatanVO penglihatan) {
		this.penglihatan = penglihatan;
	}

	public KognisiPendengaranVO getPendengaran() {
		return pendengaran;
	}

	public void setPendengaran(KognisiPendengaranVO pendengaran) {
		this.pendengaran = pendengaran;
	}

	public KognisiDayaIngatVO getDayaIngat() {
		return dayaIngat;
	}

	public void setDayaIngat(KognisiDayaIngatVO dayaIngat) {
		this.dayaIngat = dayaIngat;
	}

	public StatusLamaTidurVO getLamaTidur() {
		return lamaTidur;
	}

	public void setLamaTidur(StatusLamaTidurVO lamaTidur) {
		this.lamaTidur = lamaTidur;
	}

	public KonsepDiriGambaranVO getGambaran() {
		return gambaran;
	}

	public void setGambaran(KonsepDiriGambaranVO gambaran) {
		this.gambaran = gambaran;
	}

	public PeranMasalahVO getMasalah() {
		return masalah;
	}

	public void setMasalah(PeranMasalahVO masalah) {
		this.masalah = masalah;
	}

	public PeranPengaruhPenyakitVO getPengaruhPenyakit() {
		return pengaruhPenyakit;
	}

	public void setPengaruhPenyakit(PeranPengaruhPenyakitVO pengaruhPenyakit) {
		this.pengaruhPenyakit = pengaruhPenyakit;
	}

	public KopingEfektifVO getKoping() {
		return koping;
	}

	public void setKoping(KopingEfektifVO koping) {
		this.koping = koping;
	}

	public NilaiPertolonganVO getPertolongan() {
		return pertolongan;
	}

	public void setPertolongan(NilaiPertolonganVO pertolongan) {
		this.pertolongan = pertolongan;
	}

	public NilaiHarapanVO getHarapan() {
		return harapan;
	}

	public void setHarapan(NilaiHarapanVO harapan) {
		this.harapan = harapan;
	}

	public PersepsiSehatVO getSehat() {
		return sehat;
	}

	public void setSehat(PersepsiSehatVO sehat) {
		this.sehat = sehat;
	}

	public PersepsiPenyakitVO getPenyakit() {
		return penyakit;
	}

	public void setPenyakit(PersepsiPenyakitVO penyakit) {
		this.penyakit = penyakit;
	}

	public PersepsiKegiatanVO getKegiatan() {
		return kegiatan;
	}

	public void setKegiatan(PersepsiKegiatanVO kegiatan) {
		this.kegiatan = kegiatan;
	}

	public Boolean getIsNormalOksigenasi() {
		return isNormalOksigenasi;
	}

	public void setIsNormalOksigenasi(Boolean isNormalOksigenasi) {
		this.isNormalOksigenasi = isNormalOksigenasi;
	}

	public Boolean getIsNormalKebutuhanCairan() {
		return isNormalKebutuhanCairan;
	}

	public void setIsNormalKebutuhanCairan(Boolean isNormalKebutuhanCairan) {
		this.isNormalKebutuhanCairan = isNormalKebutuhanCairan;
	}

	public Boolean getIsNormalNeurologi() {
		return isNormalNeurologi;
	}

	public void setIsNormalNeurologi(Boolean isNormalNeurologi) {
		this.isNormalNeurologi = isNormalNeurologi;
	}

	public Boolean getIsNormalKebutuhanNutrisi() {
		return isNormalKebutuhanNutrisi;
	}

	public void setIsNormalKebutuhanNutrisi(Boolean isNormalKebutuhanNutrisi) {
		this.isNormalKebutuhanNutrisi = isNormalKebutuhanNutrisi;
	}

	public Boolean getIsNormalDefeaksi() {
		return isNormalDefeaksi;
	}

	public void setIsNormalDefeaksi(Boolean isNormalDefeaksi) {
		this.isNormalDefeaksi = isNormalDefeaksi;
	}

	public Boolean getIsNormalUrin() {
		return isNormalUrin;
	}

	public void setIsNormalUrin(Boolean isNormalUrin) {
		this.isNormalUrin = isNormalUrin;
	}

	public Boolean getIsNormalIntegumen() {
		return isNormalIntegumen;
	}

	public void setIsNormalIntegumen(Boolean isNormalIntegumen) {
		this.isNormalIntegumen = isNormalIntegumen;
	}

	public Boolean getIsNormalAktifitasAnak() {
		return isNormalAktifitasAnak;
	}

	public void setIsNormalAktifitasAnak(Boolean isNormalAktifitasAnak) {
		this.isNormalAktifitasAnak = isNormalAktifitasAnak;
	}

	public Boolean getIsNormalPersepsiKognisi() {
		return isNormalPersepsiKognisi;
	}

	public void setIsNormalPersepsiKognisi(Boolean isNormalPersepsiKognisi) {
		this.isNormalPersepsiKognisi = isNormalPersepsiKognisi;
	}

	public Boolean getIsNormalTidurIstirahat() {
		return isNormalTidurIstirahat;
	}

	public void setIsNormalTidurIstirahat(Boolean isNormalTidurIstirahat) {
		this.isNormalTidurIstirahat = isNormalTidurIstirahat;
	}

	public Boolean getIsNormalKonsepDiri() {
		return isNormalKonsepDiri;
	}

	public void setIsNormalKonsepDiri(Boolean isNormalKonsepDiri) {
		this.isNormalKonsepDiri = isNormalKonsepDiri;
	}

	public Boolean getIsNormalPeranHubungan() {
		return isNormalPeranHubungan;
	}

	public void setIsNormalPeranHubungan(Boolean isNormalPeranHubungan) {
		this.isNormalPeranHubungan = isNormalPeranHubungan;
	}

	public Boolean getIsNormalKoping() {
		return isNormalKoping;
	}

	public void setIsNormalKoping(Boolean isNormalKoping) {
		this.isNormalKoping = isNormalKoping;
	}

	public Boolean getIsNormalNilaiNilai() {
		return isNormalNilaiNilai;
	}

	public void setIsNormalNilaiNilai(Boolean isNormalNilaiNilai) {
		this.isNormalNilaiNilai = isNormalNilaiNilai;
	}

	public Boolean getIsNormalPersepsiPasien() {
		return isNormalPersepsiPasien;
	}

	public void setIsNormalPersepsiPasien(Boolean isNormalPersepsiPasien) {
		this.isNormalPersepsiPasien = isNormalPersepsiPasien;
	}

	public String getKeteranganPolaNafas() {
		return keteranganPolaNafas;
	}

	public void setKeteranganPolaNafas(String keteranganPolaNafas) {
		this.keteranganPolaNafas = keteranganPolaNafas;
	}

	public String getKeteranganBatuk() {
		return keteranganBatuk;
	}

	public void setKeteranganBatuk(String keteranganBatuk) {
		this.keteranganBatuk = keteranganBatuk;
	}

	public String getKeteranganSianosis() {
		return keteranganSianosis;
	}

	public void setKeteranganSianosis(String keteranganSianosis) {
		this.keteranganSianosis = keteranganSianosis;
	}

	public String getKeteranganNadi() {
		return keteranganNadi;
	}

	public void setKeteranganNadi(String keteranganNadi) {
		this.keteranganNadi = keteranganNadi;
	}

	public String getKeteranganUbun() {
		return keteranganUbun;
	}

	public void setKeteranganUbun(String keteranganUbun) {
		this.keteranganUbun = keteranganUbun;
	}

	public String getKeteranganTurgorKulit() {
		return keteranganTurgorKulit;
	}

	public void setKeteranganTurgorKulit(String keteranganTurgorKulit) {
		this.keteranganTurgorKulit = keteranganTurgorKulit;
	}

	public String getKeteranganCrt() {
		return keteranganCrt;
	}

	public void setKeteranganCrt(String keteranganCrt) {
		this.keteranganCrt = keteranganCrt;
	}

	public String getKeteranganEdema() {
		return keteranganEdema;
	}

	public void setKeteranganEdema(String keteranganEdema) {
		this.keteranganEdema = keteranganEdema;
	}

	public String getKeteranganAkral() {
		return keteranganAkral;
	}

	public void setKeteranganAkral(String keteranganAkral) {
		this.keteranganAkral = keteranganAkral;
	}

	public String getKeteranganKomponen() {
		return keteranganKomponen;
	}

	public void setKeteranganKomponen(String keteranganKomponen) {
		this.keteranganKomponen = keteranganKomponen;
	}

	public String getKeteranganKejang() {
		return keteranganKejang;
	}

	public void setKeteranganKejang(String keteranganKejang) {
		this.keteranganKejang = keteranganKejang;
	}

	public String getKeteranganMukosa() {
		return keteranganMukosa;
	}

	public void setKeteranganMukosa(String keteranganMukosa) {
		this.keteranganMukosa = keteranganMukosa;
	}

	public String getKeteranganStomatitis() {
		return keteranganStomatitis;
	}

	public void setKeteranganStomatitis(String keteranganStomatitis) {
		this.keteranganStomatitis = keteranganStomatitis;
	}

	public String getKeteranganMuntah() {
		return keteranganMuntah;
	}

	public void setKeteranganMuntah(String keteranganMuntah) {
		this.keteranganMuntah = keteranganMuntah;
	}

	public String getKeteranganMual() {
		return keteranganMual;
	}

	public void setKeteranganMual(String keteranganMual) {
		this.keteranganMual = keteranganMual;
	}

	public String getKeteranganAnus() {
		return keteranganAnus;
	}

	public void setKeteranganAnus(String keteranganAnus) {
		this.keteranganAnus = keteranganAnus;
	}

	public String getKeteranganBab() {
		return keteranganBab;
	}

	public void setKeteranganBab(String keteranganBab) {
		this.keteranganBab = keteranganBab;
	}

	public String getKeteranganFeses() {
		return keteranganFeses;
	}

	public void setKeteranganFeses(String keteranganFeses) {
		this.keteranganFeses = keteranganFeses;
	}

	public String getKeteranganBak() {
		return keteranganBak;
	}

	public void setKeteranganBak(String keteranganBak) {
		this.keteranganBak = keteranganBak;
	}

	public String getKeteranganAlatGenitalia() {
		return keteranganAlatGenitalia;
	}

	public void setKeteranganAlatGenitalia(String keteranganAlatGenitalia) {
		this.keteranganAlatGenitalia = keteranganAlatGenitalia;
	}

	public String getKeteranganWarna() {
		return keteranganWarna;
	}

	public void setKeteranganWarna(String keteranganWarna) {
		this.keteranganWarna = keteranganWarna;
	}

	public String getKeteranganKelainanKulit() {
		return keteranganKelainanKulit;
	}

	public void setKeteranganKelainanKulit(String keteranganKelainanKulit) {
		this.keteranganKelainanKulit = keteranganKelainanKulit;
	}

	public String getKeteranganKulit() {
		return keteranganKulit;
	}

	public void setKeteranganKulit(String keteranganKulit) {
		this.keteranganKulit = keteranganKulit;
	}

	public String getKeteranganAktif() {
		return keteranganAktif;
	}

	public void setKeteranganAktif(String keteranganAktif) {
		this.keteranganAktif = keteranganAktif;
	}

	public String getKeteranganLelah() {
		return keteranganLelah;
	}

	public void setKeteranganLelah(String keteranganLelah) {
		this.keteranganLelah = keteranganLelah;
	}

	public String getKeteranganPenglihatan() {
		return keteranganPenglihatan;
	}

	public void setKeteranganPenglihatan(String keteranganPenglihatan) {
		this.keteranganPenglihatan = keteranganPenglihatan;
	}

	public String getKeteranganPendengaran() {
		return keteranganPendengaran;
	}

	public void setKeteranganPendengaran(String keteranganPendengaran) {
		this.keteranganPendengaran = keteranganPendengaran;
	}

	public String getKeteranganDayaIngat() {
		return keteranganDayaIngat;
	}

	public void setKeteranganDayaIngat(String keteranganDayaIngat) {
		this.keteranganDayaIngat = keteranganDayaIngat;
	}

	public String getKeteranganGambaran() {
		return keteranganGambaran;
	}

	public void setKeteranganGambaran(String keteranganGambaran) {
		this.keteranganGambaran = keteranganGambaran;
	}

	public String getKeteranganLamaTidur() {
		return keteranganLamaTidur;
	}

	public void setKeteranganLamaTidur(String keteranganLamaTidur) {
		this.keteranganLamaTidur = keteranganLamaTidur;
	}

	public String getKeteranganMasalah() {
		return keteranganMasalah;
	}

	public void setKeteranganMasalah(String keteranganMasalah) {
		this.keteranganMasalah = keteranganMasalah;
	}

	public String getKeteranganPengaruhPenyakit() {
		return keteranganPengaruhPenyakit;
	}

	public void setKeteranganPengaruhPenyakit(String keteranganPengaruhPenyakit) {
		this.keteranganPengaruhPenyakit = keteranganPengaruhPenyakit;
	}

	public String getKeteranganKoping() {
		return keteranganKoping;
	}

	public void setKeteranganKoping(String keteranganKoping) {
		this.keteranganKoping = keteranganKoping;
	}

	public String getKeteranganPertolongan() {
		return keteranganPertolongan;
	}

	public void setKeteranganPertolongan(String keteranganPertolongan) {
		this.keteranganPertolongan = keteranganPertolongan;
	}

	public String getKeteranganHarapan() {
		return keteranganHarapan;
	}

	public void setKeteranganHarapan(String keteranganHarapan) {
		this.keteranganHarapan = keteranganHarapan;
	}

	public String getKeteranganSehat() {
		return keteranganSehat;
	}

	public void setKeteranganSehat(String keteranganSehat) {
		this.keteranganSehat = keteranganSehat;
	}

	public String getKeteranganPenyakit() {
		return keteranganPenyakit;
	}

	public void setKeteranganPenyakit(String keteranganPenyakit) {
		this.keteranganPenyakit = keteranganPenyakit;
	}

	public PengkajianAwalBaruVO getPengkajianAwalBaru() {
		return pengkajianAwalBaru;
	}

	public void setPengkajianAwalBaru(PengkajianAwalBaruVO pengkajianAwalBaru) {
		this.pengkajianAwalBaru = pengkajianAwalBaru;
	}

	
}
